Subject: bug#35725: 26.2; Fatal error 11: Segmentation fault; Crash on: (find-file "any.svg")

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 May 2019 18:25:34 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Mon, 13 May 2019 21:16:47 -0400
> Cc: [email-masked]
> 
> I think this might be the same as Bug#29581; we closed that as being a
> bug in some version of ImageMagick, but it's occurring to me that since
> the backtrace ends in emacs, perhaps it is actually an Emacs bug after
> all.

What ends in Emacs is that our fatal signal handler is called, and
tries to handle the segfault.  But the segfault itself is clearly
inside ImageMagick, not in Emacs code.  Which still might mean we
somehow cause it, but I think we will need an ImageMagick expert, or
at least someone who will step through ImageMagick code, to tell us
what exactly is wrong, and why.